diff --git a/changelog b/changelog
index c71345c..2e818cc 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20071005 tpd src/input/Makefile kamke3.input regression test added
+20071005 tpd src/input/kamke3.input ODE regression test added
 20071004 tpd src/input/Makefile kamke2.input regression test added
 20071004 tpd src/input/kamke2.input ODE regression test added
 20071004 tpd src/input/Makefile kamke1.input regression test added
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 1bfbcc1..1bda3be 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -322,7 +322,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     intmix2.regress   intmix.regress   int.regress      intrf.regress \
     iprntpk.regress \
     ipftest.regress   is.regress       isprime.regress  kafile.regress \
-    kamke0.regress    kamke1.regress   kamke2.regress \
+    kamke0.regress    kamke1.regress   kamke2.regress   kamke3.regress \
     kernel.regress    knot2.regress    kovacic.regress  kuipers.regress \
     laplace.regress   leg.regress      limit.regress    lindep.regress \
     list.regress      lode.regress     lodesys.regress  lodo1.regress \
@@ -562,7 +562,7 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/intlf.input    ${OUT}/intmix.input     ${OUT}/intrf.input \
        ${OUT}/ipftest.input  ${OUT}/is.input         ${OUT}/isprime.input \
        ${OUT}/kafile.input   ${OUT}/kamke0.input     ${OUT}/kamke1.input \
-       ${OUT}/kamke2.input \
+       ${OUT}/kamke2.input   ${OUT}/kamke3.input \
        ${OUT}/kernel.input   ${OUT}/knot.input \
        ${OUT}/kovacic.input  ${OUT}/kuipers.input  \
        ${OUT}/laplace.input  ${OUT}/leg.input        ${OUT}/lexp.input \
@@ -829,7 +829,7 @@ DOCFILES= \
   ${DOC}/ipftest.input.dvi     ${DOC}/is.input.dvi         \
   ${DOC}/isprime.input.dvi     ${DOC}/kafile.input.dvi     \
   ${DOC}/kamke0.input.dvi      ${DOC}/kamke1.input.dvi     \
-  ${DOC}/kamke2.input.dvi     \
+  ${DOC}/kamke2.input.dvi      ${DOC}/kamke3.input.dvi     \
   ${DOC}/kernel.input.dvi      ${DOC}/knot2.input.dvi      \
   ${DOC}/knot.input.dvi        ${DOC}/knownbugs.input.dvi  \
   ${DOC}/kovacic.input.dvi     ${DOC}/kuipers.input.dvi    \
diff --git a/src/input/kamke3.input.pamphlet b/src/input/kamke3.input.pamphlet
new file mode 100644
index 0000000..2d9ac94
--- /dev/null
+++ b/src/input/kamke3.input.pamphlet
@@ -0,0 +1,2682 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input kamke3.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+This is the first 50 of the Kamke test suite as published by 
+E. S. Cheb-Terrab\cite{1}. They have been rewritten using Axiom
+syntax. Where possible we show that the particular solution actually
+satisfies the original ordinary differential equation.
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+<<*>>=
+)spool kamke3.output
+)set break resume
+)set mes auto off
+)clear all
+
+--S 1 of 139
+y:=operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 1
+
+--S 2 of 139
+ode151 := (x**2+1)*D(y(x),x) + (y(x)**2+1)*(2*x*y(x) - 1)
+--R 
+--R
+--R          2      ,             3       2
+--R   (2)  (x  + 1)y (x) + 2x y(x)  - y(x)  + 2x y(x) - 1
+--R
+--R                                                     Type: Expression Integer
+--E 2
+
+--S 3 of 139
+ode151a:=solve(ode151,y,x)
+--R 
+--R
+--R   (3)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 3
+
+--S 4 of 139
+ode152 := (x**2+1)*D(y(x),x) + x*sin(y(x))*cos(y(x)) - x*(x**2+1)*cos(y(x))**2
+--R 
+--R
+--R          2      ,                                 3              2
+--R   (4)  (x  + 1)y (x) + x cos(y(x))sin(y(x)) + (- x  - x)cos(y(x))
+--R
+--R                                                     Type: Expression Integer
+--E 4
+
+--S 5 of 139
+ode152a:=solve(ode152,y,x)
+--R 
+--R
+--R   (5)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 5
+
+--S 6 of 139
+ode153 := (x**2-1)*D(y(x),x) - x*y(x) + a
+--R 
+--R
+--R          2      ,
+--R   (6)  (x  - 1)y (x) - x y(x) + a
+--R
+--R                                                     Type: Expression Integer
+--E 6
+
+--S 7 of 139
+ode153a:=solve(ode153,y,x)
+--R 
+--R
+--R                                  +------+
+--R                                  | 2
+--R   (7)  [particular= a x,basis= [\|x  - 1 ]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 7
+
+--S 8 of 139
+yx:=ode153a.particular
+--R 
+--R
+--R   (8)  a x
+--R                                                     Type: Expression Integer
+--E 8
+
+--S 9 of 139
+ode153expr := (x**2-1)*D(yx,x) - x*yx + a
+--R 
+--R
+--R   (9)  0
+--R                                                     Type: Expression Integer
+--E 9
+
+--S 10 of 139
+ode154 := (x**2-1)*D(y(x),x) + 2*x*y(x) - cos(x)
+--R 
+--R
+--R           2      ,
+--R   (10)  (x  - 1)y (x) - cos(x) + 2x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 10
+
+--S 11 of 139
+ode154a:=solve(ode154,y,x)
+--R 
+--R
+--R                      sin(x)            1
+--R   (11)  [particular= ------,basis= [------]]
+--R                       2              2
+--R                      x  - 1         x  - 1
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 11
+
+--S 12 of 139
+yx:=ode154a.particular
+--R 
+--R
+--R         sin(x)
+--R   (12)  ------
+--R          2
+--R         x  - 1
+--R                                                     Type: Expression Integer
+--E 12
+
+--S 13 of 139
+ode154expr := (x**2-1)*D(yx,x) + 2*x*yx - cos(x)
+--R 
+--R
+--R   (13)  0
+--R                                                     Type: Expression Integer
+--E 13
+
+--S 14 of 139
+ode155 := (x**2-1)*D(y(x),x) + y(x)**2 - 2*x*y(x) + 1
+--R 
+--R
+--R           2      ,          2
+--R   (14)  (x  - 1)y (x) + y(x)  - 2x y(x) + 1
+--R
+--R                                                     Type: Expression Integer
+--E 14
+
+--S 15 of 139
+yx:=solve(ode155,y,x)
+--R 
+--R
+--R         (y(x) - x)log(x + 1) + (- y(x) + x)log(x - 1) + 2
+--R   (15)  -------------------------------------------------
+--R                             2y(x) - 2x
+--R                                          Type: Union(Expression Integer,...)
+--E 15
+
+--S 16 of 139
+ode155expr := (x**2-1)*D(yx,x) + yx**2 - 2*x*yx + 1
+--R 
+--R
+--R   (16)
+--R            2      ,           2              2           2
+--R       (- 4x  + 4)y (x) + (y(x)  - 2x y(x) + x )log(x + 1)
+--R
+--R     + 
+--R                   2               2                     2      2              3
+--R           (- 2y(x)  + 4x y(x) - 2x )log(x - 1) - 4x y(x)  + (8x  + 4)y(x) - 4x
+--R         + 
+--R           - 4x
+--R      *
+--R         log(x + 1)
+--R     + 
+--R            2              2           2
+--R       (y(x)  - 2x y(x) + x )log(x - 1)
+--R     + 
+--R               2        2              3                                2
+--R       (4x y(x)  + (- 8x  - 4)y(x) + 4x  + 4x)log(x - 1) - 8x y(x) + 12x
+--R  /
+--R          2               2
+--R     4y(x)  - 8x y(x) + 4x
+--R                                                     Type: Expression Integer
+--E 16
+
+--S 17 of 139
+ode156 := (x**2-1)*D(y(x),x) - y(x)*(y(x)-x)
+--R 
+--R
+--R           2      ,          2
+--R   (17)  (x  - 1)y (x) - y(x)  + x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 17
+
+--S 18 of 139
+yx:=solve(ode156,y,x)
+--R 
+--R
+--R          - x y(x) + 1
+--R   (18)  -------------
+--R              +------+
+--R              | 2
+--R         y(x)\|x  - 1
+--R                                          Type: Union(Expression Integer,...)
+--E 18
+
+--S 19 of 139
+ode156expr := (x**2-1)*D(yx,x) - yx*(yx-x)
+--R 
+--R
+--R   (19)
+--R                                                         +------+
+--R           4     2      ,          2    2                | 2
+--R       (- x  + 2x  - 1)y (x) + (- x y(x)  + 2x y(x) - 1)\|x  - 1
+--R
+--R     + 
+--R           4     2         2
+--R       (- x  + 2x  - 1)y(x)
+--R  /
+--R                   +------+
+--R       2         2 | 2
+--R     (x  - 1)y(x) \|x  - 1
+--R                                                     Type: Expression Integer
+--E 19
+
+--S 20 of 139
+ode157 := (x**2-1)*D(y(x),x) + a*(y(x)**2-2*x*y(x)+1)
+--R 
+--R
+--R           2      ,            2
+--R   (20)  (x  - 1)y (x) + a y(x)  - 2a x y(x) + a
+--R
+--R                                                     Type: Expression Integer
+--E 20
+
+--S 21 of 139
+ode157a:=solve(ode157,y,x)
+--R 
+--R
+--R   (21)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 21
+
+--S 22 of 139
+ode158 := (x**2-1)*D(y(x),x) + a*x*y(x)**2 + x*y(x)
+--R 
+--R
+--R           2      ,              2
+--R   (22)  (x  - 1)y (x) + a x y(x)  + x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 22
+
+--S 23 of 139
+yx:=solve(ode158,y,x)
+--R 
+--R
+--R           2 2    2
+--R          a x y(x)  + 2a y(x) + 1
+--R   (23)  ------------------------
+--R           4    2     3         2
+--R         2a y(x)  + 4a y(x) + 2a
+--R                                          Type: Union(Expression Integer,...)
+--E 23
+
+--S 24 of 139
+ode158expr := (x**2-1)*D(yx,x) + a*x*yx**2 + x*yx
+--R 
+--R
+--R   (24)
+--R           4 4     4 2     4     2      3 4     3 2     3       ,
+--R       ((4a x  - 8a x  + 4a )y(x)  + (4a x  - 8a x  + 4a )y(x))y (x)
+--R
+--R     + 
+--R         4 5     5 3     5      4        4     3  3     4      3
+--R       (a x  + 6a x  - 4a x)y(x)  + ((12a  + 4a )x  - 4a x)y(x)
+--R     + 
+--R           3     2  3      3     2       2      2
+--R       ((6a  + 2a )x  + (6a  + 4a )x)y(x)  + (8a  + 4a)x y(x) + (2a + 1)x
+--R  /
+--R       7    4      6    3      5    2      4         3
+--R     4a y(x)  + 16a y(x)  + 24a y(x)  + 16a y(x) + 4a
+--R                                                     Type: Expression Integer
+--E 24
+
+--S 25 of 139
+ode159 := (x**2-1)*D(y(x),x) - 2*x*y(x)*log(y(x))
+--R 
+--R
+--R           2      ,
+--R   (25)  (x  - 1)y (x) - 2x y(x)log(y(x))
+--R
+--R                                                     Type: Expression Integer
+--E 25
+
+--S 26 of 139
+yx:=solve(ode159,y,x)
+--R 
+--R
+--R             2
+--R          - x  + 1
+--R   (26)  ---------
+--R         log(y(x))
+--R                                          Type: Union(Expression Integer,...)
+--E 26
+
+--S 27 of 139
+ode159expr := (x**2-1)*D(yx,x) - 2*x*yx*log(yx)
+--R 
+--R
+--R   (27)
+--R                                      2
+--R          3                        - x  + 1      4     2      ,
+--R       (2x  - 2x)y(x)log(y(x))log(---------) + (x  - 2x  + 1)y (x)
+--R                                  log(y(x))
+--R     + 
+--R            3
+--R       (- 2x  + 2x)y(x)log(y(x))
+--R  /
+--R                  2
+--R     y(x)log(y(x))
+--R                                                     Type: Expression Integer
+--E 27
+
+--S 28 of 139
+ode160 := (x**2-4)*D(y(x),x) + (x+2)*y(x)**2 - 4*y(x)
+--R 
+--R
+--R           2      ,                 2
+--R   (28)  (x  - 4)y (x) + (x + 2)y(x)  - 4y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 28
+
+--S 29 of 139
+yx:=solve(ode160,y,x)
+--R 
+--R
+--R         (- x - 2)y(x)log(x + 2) + x - 2
+--R   (29)  -------------------------------
+--R                   (x + 2)y(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 29
+
+--S 30 of 139
+ode160expr := (x**2-4)*D(yx,x) + (x+2)*yx**2 - 4*yx
+--R 
+--R
+--R   (30)
+--R           3     2           ,        2              2          2
+--R       (- x  + 2x  + 4x - 8)y (x) + (x  + 4x + 4)y(x) log(x + 2)
+--R
+--R     + 
+--R                  2        2                           2         2    2
+--R     ((4x + 8)y(x)  + (- 2x  + 8)y(x))log(x + 2) + (- x  + 4)y(x)  + x  - 4x + 4
+--R  /
+--R                2
+--R     (x + 2)y(x)
+--R                                                     Type: Expression Integer
+--E 30
+
+--S 31 of 139
+ode161 := (x**2-5*x+6)*D(y(x),x) + 3*x*y(x) - 8*y(x) + x**2
+--R 
+--R
+--R           2           ,                      2
+--R   (31)  (x  - 5x + 6)y (x) + (3x - 8)y(x) + x
+--R
+--R                                                     Type: Expression Integer
+--E 31
+
+--S 32 of 139
+ode161a:=solve(ode161,y,x)
+--R 
+--R
+--R                              4     3
+--R                          - 3x  + 8x  - 144                     1
+--R   (32)  [particular= ------------------------,basis= [-------------------]]
+--R                         3      2                       3     2
+--R                      12x  - 84x  + 192x - 144         x  - 7x  + 16x - 12
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 32
+
+--S 33 of 139
+yx:=ode161a.particular
+--R 
+--R
+--R                 4     3
+--R             - 3x  + 8x  - 144
+--R   (33)  ------------------------
+--R            3      2
+--R         12x  - 84x  + 192x - 144
+--R                                                     Type: Expression Integer
+--E 33
+
+--S 34 of 139
+ode161expr := (x**2-5*x+6)*D(yx,x) + 3*x*yx - 8*yx + x**2
+--R 
+--R
+--R   (34)  0
+--R                                                     Type: Expression Integer
+--E 34
+
+--S 35 of 139
+ode162 := (x-a)*(x-b)*D(y(x),x) + y(x)**2 + k*(y(x)+x-a)*(y(x)+x-b)
+--R 
+--R
+--R   (35)
+--R       2                     ,                 2
+--R     (x  + (- b - a)x + a b)y (x) + (k + 1)y(x)  + (2k x + (- b - a)k)y(x)
+--R
+--R   + 
+--R        2
+--R     k x  + (- b - a)k x + a b k
+--R                                                     Type: Expression Integer
+--E 35
+@
+This loops infinitely 
+\begin{verbatim}
+ode162a:=solve(ode162,y,x)
+ 
+   WARNING (genufact): No known algorithm to factor
+      3     2       2          2
+     ?  - 3?  + (- k  + 3)? + k  - 1, trying square-free.
+
+\end{verbatim} 
+<<*>>=
+--S 36 of 139
+ode163 := 2*x**2*D(y(x),x) - 2*y(x)**2 - x*y(x) + 2*a**2*x
+--R 
+--R
+--R           2 ,           2              2
+--R   (36)  2x y (x) - 2y(x)  - x y(x) + 2a x
+--R
+--R                                                     Type: Expression Integer
+--E 36
+
+--S 37 of 139
+yx:=solve(ode163,y,x)
+--R 
+--R
+--R                   +-+
+--R                 a\|x  - y(x)
+--R   (37)  ---------------------------
+--R                                 4a
+--R                              - ----
+--R                                 +-+
+--R            2 +-+               \|x
+--R         (2a \|x  + 2a y(x))%e
+--R                                          Type: Union(Expression Integer,...)
+--E 37
+
+--S 38 of 139
+ode163expr := 2*x**2*D(yx,x) - 2*yx**2 - x*yx + 2*a**2*x
+--R 
+--R
+--R   (38)
+--R                                                                   4a
+--R                                                                - ----
+--R                                                                   +-+
+--R              3 3    2     5 4  +-+     2 3    3      4 4         \|x  ,
+--R       ((- 12a x y(x)  - 4a x )\|x  - 4a x y(x)  - 12a x y(x))%e      y (x)
+--R
+--R     + 
+--R              4      5      6 2    3      8 3      +-+      5 2    4
+--R           (4a x y(x)  + 40a x y(x)  + 20a x y(x))\|x  + 20a x y(x)
+--R         + 
+--R              7 3    2     9 4
+--R           40a x y(x)  + 4a x
+--R      *
+--R               4a  2
+--R            - ----
+--R               +-+
+--R              \|x
+--R         (%e      )
+--R     + 
+--R                       5      3      4     3 2    3     5 2    2    5 3
+--R               a x y(x)  + 12a x y(x)  + 8a x y(x)  - 8a x y(x)  - a x y(x)
+--R             + 
+--R                   7 3
+--R               - 4a x
+--R          *
+--R              +-+
+--R             \|x
+--R         + 
+--R           2      5     2 2    4     4 2    3     4 3    2      6 3        6 4
+--R         4a x y(x)  + 5a x y(x)  + 8a x y(x)  + 4a x y(x)  - 12a x y(x) - a x
+--R      *
+--R              4a
+--R           - ----
+--R              +-+
+--R             \|x
+--R         %e
+--R     + 
+--R              5     2      3    4 2      +-+           4     3 2    2    5 3
+--R       (- y(x)  + 2a x y(x)  - a x y(x))\|x  - a x y(x)  + 2a x y(x)  - a x
+--R  /
+--R            2    5      4      3      6 2      +-+      3      4      5 2    2
+--R         (2a y(x)  + 20a x y(x)  + 10a x y(x))\|x  + 10a x y(x)  + 20a x y(x)
+--R       + 
+--R           7 3
+--R         2a x
+--R    *
+--R             4a  2
+--R          - ----
+--R             +-+
+--R            \|x
+--R       (%e      )
+--R                                                     Type: Expression Integer
+--E 38
+
+--S 39 of 139
+ode164 := 2*x**2*D(y(x),x) - 2*y(x)**2 - 3*x*y(x) + 2*a**2*x
+--R 
+--R
+--R           2 ,           2               2
+--R   (39)  2x y (x) - 2y(x)  - 3x y(x) + 2a x
+--R
+--R                                                     Type: Expression Integer
+--E 39
+
+--S 40 of 139
+yx:=solve(ode164,y,x)
+--R 
+--R
+--R                              +-+
+--R                (- 2y(x) - x)\|x  + 2a x
+--R   (40)  -------------------------------------
+--R                                           4a
+--R                                        - ----
+--R                                           +-+
+--R                           +-+     2      \|x
+--R         ((4a y(x) + 2a x)\|x  + 4a x)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 40
+
+--S 41 of 139
+ode164expr := 2*x**2*D(yx,x) - 2*yx**2 - 3*x*yx + 2*a**2*x
+--R 
+--R
+--R   (41)
+--R                     2 2    3       2 3    2         2 4       4 3           2 5
+--R               - 128a x y(x)  - 192a x y(x)  + (- 96a x  - 384a x )y(x) - 16a x
+--R             + 
+--R                     4 4
+--R               - 192a x
+--R          *
+--R              +-+
+--R             \|x
+--R         + 
+--R                 3 3    2       3 4          3 5       5 4
+--R           - 384a x y(x)  - 384a x y(x) - 96a x  - 128a x
+--R      *
+--R              4a
+--R           - ----
+--R              +-+
+--R             \|x  ,
+--R         %e      y (x)
+--R
+--R     + 
+--R                   5      4        5 2    3        5 3        7 2     2
+--R               640a x y(x)  + 1280a x y(x)  + (960a x  + 1280a x )y(x)
+--R             + 
+--R                    5 4        7 3           5 5       7 4       9 3
+--R               (320a x  + 1280a x )y(x) + 40a x  + 320a x  + 128a x
+--R          *
+--R              +-+
+--R             \|x
+--R         + 
+--R               4      5       4 2    4        4 3        6 2     3
+--R           128a x y(x)  + 320a x y(x)  + (320a x  + 1280a x )y(x)
+--R         + 
+--R                4 4        6 3     2       4 5       6 4       8 3          4 6
+--R           (160a x  + 1920a x )y(x)  + (40a x  + 960a x  + 640a x )y(x) + 4a x
+--R         + 
+--R               6 5       8 4
+--R           160a x  + 320a x
+--R      *
+--R               4a  2
+--R            - ----
+--R               +-+
+--R              \|x
+--R         (%e      )
+--R     + 
+--R                   2    5       2      4        2 2       4      3
+--R               128a y(x)  + 672a x y(x)  + (960a x  + 256a x)y(x)
+--R             + 
+--R                    2 3       4 2     2        2 4       6 2           2 5
+--R               (592a x  + 384a x )y(x)  + (168a x  - 384a x )y(x) + 18a x
+--R             + 
+--R                    4 4       6 3
+--R               - 64a x  - 288a x
+--R          *
+--R              +-+
+--R             \|x
+--R         + 
+--R                     5          2       3      4          3        3 2     3
+--R           96a x y(x)  + (240a x  + 384a x)y(x)  + (240a x  + 1152a x )y(x)
+--R         + 
+--R                  4       3 3       5 2     2         5       3 4       5 3
+--R           (120a x  + 960a x  - 256a x )y(x)  + (30a x  + 288a x  - 480a x )y(x)
+--R         + 
+--R               6      3 5       5 4       7 3
+--R           3a x  + 24a x  - 240a x  - 128a x
+--R      *
+--R              4a
+--R           - ----
+--R              +-+
+--R             \|x
+--R         %e
+--R     + 
+--R                     4             3           2      3      2
+--R           - 32a y(x)  - 64a x y(x)  + (- 48a x  + 64a x)y(x)
+--R         + 
+--R                   3      3 2            4      3 3      5 2
+--R           (- 16a x  + 64a x )y(x) - 2a x  + 16a x  - 32a x
+--R      *
+--R          +-+
+--R         \|x
+--R     + 
+--R               5           4         2      2      3         3      2 2     2
+--R       - 32y(x)  - 80x y(x)  + (- 80x  + 64a x)y(x)  + (- 40x  + 96a x )y(x)
+--R     + 
+--R             4      2 3      4 2         5     2 4      4 3
+--R       (- 10x  + 48a x  - 32a x )y(x) - x  + 8a x  - 16a x
+--R  /
+--R                 3    4       3      3        3 2       5      2
+--R             320a y(x)  + 640a x y(x)  + (480a x  + 640a x)y(x)
+--R           + 
+--R                  3 3       5 2           3 4       5 3      7 2
+--R             (160a x  + 640a x )y(x) + 20a x  + 160a x  + 64a x
+--R        *
+--R            +-+
+--R           \|x
+--R       + 
+--R            2    5       2      4        2 2       4      3
+--R         64a y(x)  + 160a x y(x)  + (160a x  + 640a x)y(x)
+--R       + 
+--R             2 3       4 2     2       2 4       4 3       6 2          2 5
+--R         (80a x  + 960a x )y(x)  + (20a x  + 480a x  + 320a x )y(x) + 2a x
+--R       + 
+--R            4 4       6 3
+--R         80a x  + 160a x
+--R    *
+--R             4a  2
+--R          - ----
+--R             +-+
+--R            \|x
+--R       (%e      )
+--R                                                     Type: Expression Integer
+--E 41
+
+--S 42 of 139
+ode165 := x*(2*x-1)*D(y(x),x) + y(x)**2 - (4*x+1)*y(x) + 4*x
+--R 
+--R
+--R            2      ,          2
+--R   (42)  (2x  - x)y (x) + y(x)  + (- 4x - 1)y(x) + 4x
+--R
+--R                                                     Type: Expression Integer
+--E 42
+
+--S 43 of 139
+yx:=solve(ode165,y,x)
+--R 
+--R
+--R                    2
+--R         x y(x) - 2x
+--R   (43)  ------------
+--R           y(x) - 1
+--R                                          Type: Union(Expression Integer,...)
+--E 43
+
+--S 44 of 139
+ode165expr := x*(2*x-1)*D(yx,x) + yx**2 - (4*x+1)*yx + 4*x
+--R 
+--R
+--R   (44)
+--R          4     3    2  ,          2          2        3     2               4
+--R       (4x  - 4x  + x )y (x) + (- x  + 2x)y(x)  + (- 4x  + 8x  - 6x)y(x) + 4x
+--R
+--R     + 
+--R           2
+--R       - 6x  + 4x
+--R  /
+--R         2
+--R     y(x)  - 2y(x) + 1
+--R                                                     Type: Expression Integer
+--E 44
+
+--S 45 of 139
+ode166 := 2*x*(x-1)*D(y(x),x) + (x-1)*y(x)**2 - x
+--R 
+--R
+--R            2       ,                 2
+--R   (45)  (2x  - 2x)y (x) + (x - 1)y(x)  - x
+--R
+--R                                                     Type: Expression Integer
+--E 45
+
+--S 46 of 139
+ode166a:=solve(ode166,y,x)
+--R 
+--R
+--R   (46)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 46
+
+--S 47 of 139
+ode167 := 3*x**2*D(y(x),x) - 7*y(x)**2 - 3*x*y(x) - x**2
+--R 
+--R
+--R           2 ,           2              2
+--R   (47)  3x y (x) - 7y(x)  - 3x y(x) - x
+--R
+--R                                                     Type: Expression Integer
+--E 47
+
+--S 48 of 139
+yx:=solve(ode167,y,x)
+--R 
+--R
+--R                        +---+                    +---+
+--R                 (- 497\|- 7  + 1197)y(x) + 171x\|- 7  + 497x
+--R   (48)  ------------------------------------------------------------
+--R                                                          +---+
+--R                                                        2\|- 7 log(x)
+--R                                                      - -------------
+--R               +---+                   +---+                  3
+--R         ((342\|- 7  + 994)y(x) - 142x\|- 7  + 342x)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 48
+
+--S 49 of 139
+ode167expr := 3*x**2*D(yx,x) - 7*yx**2 - 3*x*yx - x**2
+--R 
+--R
+--R   (49)
+--R                        3 +---+             3                 4 +---+
+--R           (- 275142420x \|- 7  + 547274532x )y(x) - 78182076x \|- 7
+--R         + 
+--R                       4
+--R           - 275142420x
+--R      *
+--R               +---+
+--R             2\|- 7 log(x)
+--R           - -------------
+--R                   3       ,
+--R         %e               y (x)
+--R
+--R     + 
+--R                       2 +---+             2     3
+--R           (- 91714140x \|- 7  + 182424844x )y(x)
+--R         + 
+--R                       3 +---+             3     2
+--R           (- 78182076x \|- 7  - 275142420x )y(x)
+--R         + 
+--R                     4 +---+            4                5 +---+            5
+--R           (39306060x \|- 7  - 78182076x )y(x) + 3722956x \|- 7  + 13102020x
+--R      *
+--R                +---+       2
+--R              2\|- 7 log(x)
+--R            - -------------
+--R                    3
+--R         (%e               )
+--R     + 
+--R                       +---+                   3
+--R           (368361714x\|- 7  - 2239972378x)y(x)
+--R         + 
+--R                      2 +---+             2     2
+--R           (595138474x \|- 7  - 178912818x )y(x)
+--R         + 
+--R                      3 +---+            3                 4 +---+            4
+--R           (130805178x \|- 7  - 44853634x )y(x) + 45713722x \|- 7  + 52623102x
+--R      *
+--R               +---+
+--R             2\|- 7 log(x)
+--R           - -------------
+--R                   3
+--R         %e
+--R     + 
+--R                   +---+                  3
+--R       (1123498215\|- 7  - 2234704339)y(x)
+--R     + 
+--R                     +---+                   2
+--R       (- 319243477x\|- 7  - 1123498215x)y(x)
+--R     + 
+--R                  2 +---+             2                 3 +---+             3
+--R       (160499745x \|- 7  - 319243477x )y(x) - 45606211x \|- 7  - 160499745x
+--R  /
+--R                   +---+                 3              +---+                  2
+--R         (91714140\|- 7  - 182424844)y(x)  + (78182076x\|- 7  + 275142420x)y(x)
+--R       + 
+--R                     2 +---+            2                3 +---+            3
+--R         (- 39306060x \|- 7  + 78182076x )y(x) - 3722956x \|- 7  - 13102020x
+--R    *
+--R              +---+       2
+--R            2\|- 7 log(x)
+--R          - -------------
+--R                  3
+--R       (%e               )
+--R                                                     Type: Expression Integer
+--E 49
+
+--S 50 of 139
+ode168 := 3*(x**2-4)*D(y(x),x) + y(x)**2 - x*y(x) - 3
+--R 
+--R
+--R            2       ,          2
+--R   (50)  (3x  - 12)y (x) + y(x)  - x y(x) - 3
+--R
+--R                                                     Type: Expression Integer
+--E 50
+
+--S 51 of 139
+ode168a:=solve(ode168,y,x)
+--R 
+--R
+--R   (51)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 51
+
+--S 52 of 139
+ode169 := (a*x+b)**2*D(y(x),x) + (a*x+b)*y(x)**3 + c*y(x)**2
+--R 
+--R
+--R           2 2             2  ,                   3         2
+--R   (52)  (a x  + 2a b x + b )y (x) + (a x + b)y(x)  + c y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 52
+
+--S 53 of 139
+ode169a:=solve(ode169,y,x)
+--R 
+--R
+--R   (53)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 53
+
+--S 54 of 139
+ode170 := x**3*D(y(x),x) - y(x)**2 - x**4
+--R 
+--R
+--R          3 ,          2    4
+--R   (54)  x y (x) - y(x)  - x
+--R
+--R                                                     Type: Expression Integer
+--E 54
+
+--S 55 of 139
+yx:=solve(ode170,y,x)
+--R 
+--R
+--R                  2           2
+--R         (y(x) - x )log(x) + x
+--R   (55)  ----------------------
+--R                        2
+--R                y(x) - x
+--R                                          Type: Union(Expression Integer,...)
+--E 55
+
+--S 56 of 139
+ode170expr := x**3*D(yx,x) - yx**2 - x**4
+--R 
+--R
+--R   (56)
+--R          5 ,             2     2        4       2        2         4
+--R       - x y (x) + (- y(x)  + 2x y(x) - x )log(x)  + (- 2x y(x) + 2x )log(x)
+--R
+--R     + 
+--R           4    2     2     6        8    6    4
+--R       (- x  + x )y(x)  + 2x y(x) - x  + x  - x
+--R  /
+--R         2     2        4
+--R     y(x)  - 2x y(x) + x
+--R                                                     Type: Expression Integer
+--E 56
+
+--S 57 of 139
+ode171 := x**3*D(y(x),x) - y(x)**2 - x**2*y(x)
+--R 
+--R
+--R          3 ,          2    2
+--R   (57)  x y (x) - y(x)  - x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 57
+
+--S 58 of 139
+yx:=solve(ode171,y,x)
+--R 
+--R
+--R                   2
+--R         - y(x) + x
+--R   (58)  -----------
+--R            x y(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 58
+
+--S 59 of 139
+ode171expr := x**3*D(yx,x) - yx**2 - x**2*yx
+--R 
+--R
+--R            6 ,         3         2     2        4
+--R         - x y (x) + (2x  - 1)y(x)  + 2x y(x) - x
+--R
+--R   (59)  -----------------------------------------
+--R                           2    2
+--R                          x y(x)
+--R                                                     Type: Expression Integer
+--E 59
+
+--S 60 of 139
+ode172 := x**3*D(y(x),x) - x**4*y(x)**2 + x**2*y(x) + 20
+--R 
+--R
+--R          3 ,       4    2    2
+--R   (60)  x y (x) - x y(x)  + x y(x) + 20
+--R
+--R                                                     Type: Expression Integer
+--E 60
+
+--S 61 of 139
+yx:=solve(ode172,y,x)
+--R 
+--R
+--R              11      2           9
+--R           (7x   - 11x )y(x) + 35x  + 44
+--R   (61)  --------------------------------
+--R             11      2            9
+--R         (36x   - 36x )y(x) + 180x  + 144
+--R                                          Type: Union(Expression Integer,...)
+--E 61
+
+--S 62 of 139
+ode172expr := x**3*D(yx,x) - x**4*yx**2 + x**2*yx + 20
+--R 
+--R
+--R   (62)
+--R              14 ,
+--R       - 1296x  y (x)
+--R
+--R     + 
+--R                26       24         22       17       15         13       8
+--R           - 49x   + 252x   + 25920x   + 154x   + 648x   - 51840x   - 121x
+--R         + 
+--R               6         4
+--R           396x  + 25920x
+--R      *
+--R             2
+--R         y(x)
+--R     + 
+--R                 24        22          20       15        13         11       6
+--R           - 490x   + 2520x   + 259200x   + 154x   - 1944x   - 51840x   + 968x
+--R         + 
+--R                  4          2
+--R           - 3168x  - 207360x
+--R      *
+--R         y(x)
+--R     + 
+--R              22        20          18        13         11           9        4
+--R       - 1225x   + 6300x   + 648000x   - 3080x   - 12960x   + 1036800x  - 1936x
+--R     + 
+--R            2
+--R       6336x  + 414720
+--R  /
+--R             22        13        4     2          20        11         2
+--R       (1296x   - 2592x   + 1296x )y(x)  + (12960x   - 2592x   - 10368x )y(x)
+--R     + 
+--R             18         9
+--R       32400x   + 51840x  + 20736
+--R                                                     Type: Expression Integer
+--E 62
+
+--S 63 of 139
+ode173 := x**3*D(y(x),x) - x**6*y(x)**2 - (2*x-3)*x**2*y(x) + 3
+--R 
+--R
+--R          3 ,       6    2        3     2
+--R   (63)  x y (x) - x y(x)  + (- 2x  + 3x )y(x) + 3
+--R
+--R                                                     Type: Expression Integer
+--E 63
+
+--S 64 of 139
+yx:=solve(ode173,y,x)
+--R 
+--R
+--R               3
+--R            - x y(x) + 1
+--R   (64)  ------------------
+--R            3            4x
+--R         (4x y(x) + 12)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 64
+
+--S 65 of 139
+ode173expr := x**3*D(yx,x) - x**6*yx**2 - (2*x-3)*x**2*yx + 3
+--R 
+--R
+--R   (65)
+--R            6  4x ,          6    2       3              4x 2
+--R       - 16x %e  y (x) + (48x y(x)  + 288x y(x) + 432)(%e  )
+--R
+--R     + 
+--R            9      8     2       6      5           3      2   4x    12    2
+--R       ((24x  - 12x )y(x)  + (48x  - 72x )y(x) - 72x  + 36x )%e   - x  y(x)
+--R     + 
+--R         9        6
+--R       2x y(x) - x
+--R  /
+--R         6    2      3              4x 2
+--R     (16x y(x)  + 96x y(x) + 144)(%e  )
+--R                                                     Type: Expression Integer
+--E 65
+
+--S 66 of 139
+ode174 := x*(x**2+1)*D(y(x),x) + x**2*y(x)
+--R 
+--R
+--R           3      ,       2
+--R   (66)  (x  + x)y (x) + x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 66
+
+--S 67 of 139
+ode174a:=solve(ode174,y,x)
+--R 
+--R
+--R                                    1
+--R   (67)  [particular= 0,basis= [---------]]
+--R                                 +------+
+--R                                 | 2
+--R                                \|x  + 1
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 67
+
+--S 68 of 139
+yx:=ode174a.particular
+--R 
+--R
+--R   (68)  0
+--R                                                     Type: Expression Integer
+--E 68
+
+--S 69 of 139
+ode174expr := x*(x**2+1)*D(yx,x) + x**2*yx
+--R 
+--R
+--R   (69)  0
+--R                                                     Type: Expression Integer
+--E 69
+
+--S 70 of 139
+ode175 := x*(x**2-1)*D(y(x),x) - (2*x**2-1)*y(x) + a*x**3
+--R 
+--R
+--R           3      ,           2               3
+--R   (70)  (x  - x)y (x) + (- 2x  + 1)y(x) + a x
+--R
+--R                                                     Type: Expression Integer
+--E 70
+
+--S 71 of 139
+ode175a:=solve(ode175,y,x)
+--R 
+--R
+--R                                    +------+
+--R                                    | 2
+--R   (71)  [particular= a x,basis= [x\|x  - 1 ]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 71
+
+--S 72 of 139
+yx:=ode175a.particular
+--R 
+--R
+--R   (72)  a x
+--R                                                     Type: Expression Integer
+--E 72
+
+--S 73 of 139
+ode175expr := x*(x**2-1)*D(yx,x) - (2*x**2-1)*yx + a*x**3
+--R 
+--R
+--R   (73)  0
+--R                                                     Type: Expression Integer
+--E 73
+
+--S 74 of 139
+ode176 := x*(x**2-1)*D(y(x),x) + (x**2-1)*y(x)**2 - x**2
+--R 
+--R
+--R           3      ,        2         2    2
+--R   (74)  (x  - x)y (x) + (x  - 1)y(x)  - x
+--R
+--R                                                     Type: Expression Integer
+--E 74
+
+--S 75 of 139
+ode176a:=solve(ode176,y,x)
+--R 
+--R
+--R   (75)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 75
+
+--S 76 of 139
+ode177 := x**2*(x-1)*D(y(x),x) - y(x)**2 - x*(x-2)*y(x)
+--R 
+--R
+--R           3    2  ,          2       2
+--R   (76)  (x  - x )y (x) - y(x)  + (- x  + 2x)y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 76
+
+--S 77 of 139
+yx:=solve(ode177,y,x)
+--R 
+--R
+--R                   2
+--R         - y(x) + x
+--R   (77)  -----------
+--R         (x - 1)y(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 77
+
+--S 78 of 139
+ode177expr := x**2*(x-1)*D(yx,x) - yx**2 - x*(x-2)*yx
+--R 
+--R
+--R             6     5    4  ,         3     2              2     2        4
+--R         (- x  + 2x  - x )y (x) + (2x  - 4x  + 2x - 1)y(x)  + 2x y(x) - x
+--R
+--R   (78)  -----------------------------------------------------------------
+--R                                   2              2
+--R                                 (x  - 2x + 1)y(x)
+--R                                                     Type: Expression Integer
+--E 78
+
+--S 79 of 139
+ode178 := 2*x*(x**2-1)*D(y(x),x) + 2*(x**2-1)*y(x)**2 _
+           - (3*x**2-5)*y(x) + x**2 - 3
+--R 
+--R
+--R            3       ,         2         2        2             2
+--R   (79)  (2x  - 2x)y (x) + (2x  - 2)y(x)  + (- 3x  + 5)y(x) + x  - 3
+--R
+--R                                                     Type: Expression Integer
+--E 79
+
+--S 80 of 139
+yx:=solve(ode178,y,x)
+--R 
+--R
+--R                      +------+   x      +---+
+--I                      | 2      ++      \|%CL               +-+
+--I         (- y(x) + 1)\|x  - 1  |   -------------- d%CL  + \|x
+--R                              ++       +--------+
+--R                                       |   2
+--I                                   %CL\|%CL  - 1
+--R   (80)  -----------------------------------------------------
+--R                                     +------+
+--R                                     | 2
+--R                          (y(x) - 1)\|x  - 1
+--R                                          Type: Union(Expression Integer,...)
+--E 80
+
+--S 81 of 139
+ode178expr := 2*x*(x**2-1)*D(yx,x) + 2*(x**2-1)*yx**2 _
+               - (3*x**2-5)*yx + x**2 - 3
+--R 
+--R
+--R   (81)
+--R                                                          +------+
+--R             2         2        2              2      +-+ | 2
+--R         ((2x  - 2)y(x)  + (- 4x  + 4)y(x) + 2x  - 2)\|x \|x  - 1
+--R      *
+--R            x      +---+          2
+--I          ++      \|%CL
+--I          |   -------------- d%CL
+--R         ++       +--------+
+--R                  |   2
+--I              %CL\|%CL  - 1
+--R     + 
+--R                                                             +------+
+--R               2         2        2               2      +-+ | 2
+--R           ((3x  - 5)y(x)  + (- 6x  + 10)y(x) + 3x  - 5)\|x \|x  - 1
+--R         + 
+--R                3               3
+--R           (- 4x  + 4x)y(x) + 4x  - 4x
+--R      *
+--R            x      +---+
+--I          ++      \|%CL
+--I          |   -------------- d%CL
+--R         ++       +--------+
+--R                  |   2
+--I              %CL\|%CL  - 1
+--R     + 
+--R            4     2  ,
+--R       (- 2x  + 2x )y (x)
+--R
+--R     + 
+--R                                                           +------+
+--R          2         2        2             2           +-+ | 2
+--R       ((x  - 3)y(x)  + (- 2x  + 6)y(x) + x  + 2x - 3)\|x \|x  - 1
+--R     + 
+--R            3          2     3
+--R       (- 2x  + 2x)y(x)  + 2x  - 2x
+--R  /
+--R                             +------+
+--R          2              +-+ | 2
+--R     (y(x)  - 2y(x) + 1)\|x \|x  - 1
+--R                                                     Type: Expression Integer
+--E 81
+
+--S 82 of 139
+ode179 := 3*x*(x**2-1)*D(y(x),x) + x*y(x)**2 - (x**2+1)*y(x) - 3*x
+--R 
+--R
+--R            3       ,            2       2
+--R   (82)  (3x  - 3x)y (x) + x y(x)  + (- x  - 1)y(x) - 3x
+--R
+--R                                                     Type: Expression Integer
+--E 82
+
+--S 83 of 139
+ode179a:=solve(ode179,y,x)
+--R 
+--R
+--R   (83)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 83
+
+--S 84 of 139
+ode180 := (a*x**2+b*x+c)*(x*D(y(x),x)-y(x)) - y(x)**2 + x**2
+--R 
+--R
+--R             3      2        ,          2         2                   2
+--R   (84)  (a x  + b x  + c x)y (x) - y(x)  + (- a x  - b x - c)y(x) + x
+--R
+--R                                                     Type: Expression Integer
+--E 84
+
+--S 85 of 139
+yx:=solve(ode180,y,x)
+--R 
+--R   WARNING (genufact): No known algorithm to factor
+--R                     2            2
+--R      4   - 4a c + 2b   2        b
+--R     ?  + ------------ ?  - -----------, trying square-free.
+--R             3     2 2        5     4 2
+--R           4a c - a b       4a c - a b
+--R   WARNING (genufact): No known algorithm to factor
+--R                     2            2         2            2
+--R      4   - 4a c + 2b  - 4a b + 4a   2   - b  + 4a b - 4a
+--R     ?  + ------------------------- ?  + -----------------, trying square-free.
+--R                   3     2 2                  5     4 2
+--R                 4a c - a b                 4a c - a b
+--R   WARNING (genufact): No known algorithm to factor
+--R                           2              4      2
+--R        9   9b  8   (144a b  - 24a)c - 36b  + 12b   7
+--R       ?  - -- ?  + ------------------------------ ?
+--R             a                  3     2 2
+--R                              4a c - a b
+--R     + 
+--R                3                 5      3
+--R       (- 336a b  + 168a b)c + 84b  - 84b   6
+--R       ----------------------------------- ?
+--R                     4     3 2
+--R                   4a c - a b
+--R     + 
+--R                   2 4        2 2       2  2
+--R             (2016a b  - 2016a b  + 144a )c
+--R           + 
+--R                       6          4         2         8       6      4
+--R             (- 1008a b  + 1512a b  - 192a b )c + 126b  - 252b  + 48b
+--R        /
+--R              6 2     5 2     4 4
+--R           16a c  - 8a b c + a b
+--R      *
+--R          5
+--R         ?
+--R     + 
+--R                     2 5        2 3       2   2
+--R             (- 2016a b  + 3360a b  - 720a b)c
+--R           + 
+--R                     7          5         3         9       7       5
+--R             (1008a b  - 2520a b  + 960a b )c - 126b  + 420b  - 240b
+--R        /
+--R              7 2     6 2     5 4
+--R           16a c  - 8a b c + a b
+--R      *
+--R          4
+--R         ?
+--R     + 
+--R                   3 6         3 4        3 2       3  3
+--R             (5376a b  - 13440a b  + 5760a b  - 256a )c
+--R           + 
+--R                     2 8         2 6        2 4       2 2  2
+--R             (- 4032a b  + 13440a b  - 9120a b  + 640a b )c
+--R           + 
+--R                     10          8          6         4        12       10
+--R             (1008a b   - 4200a b  + 3840a b  - 384a b )c - 84b   + 420b
+--R           + 
+--R                   8      6
+--R             - 480b  + 64b
+--R        /
+--R              9 3      8 2 2      7 4     6 6
+--R           64a c  - 48a b c  + 12a b c - a b
+--R      *
+--R          3
+--R         ?
+--R     + 
+--R                     3 7        3 5        3 3       3   3
+--R             (- 2304a b  + 8064a b  - 5760a b  + 768a b)c
+--R           + 
+--R                   2 9        2 7        2 5        2 3  2
+--R             (1728a b  - 8064a b  + 9120a b  - 1920a b )c
+--R           + 
+--R                      11          9          7          5        13       11
+--R             (- 432a b   + 2520a b  - 3840a b  + 1152a b )c + 36b   - 252b
+--R           + 
+--R                 9       7
+--R             480b  - 192b
+--R        /
+--R              10 3      9 2 2      8 4     7 6
+--R           64a  c  - 48a b c  + 12a b c - a b
+--R      *
+--R          2
+--R         ?
+--R     + 
+--R                  3 8        3 6        3 4       3 2  3
+--R             (576a b  - 2688a b  + 2880a b  - 768a b )c
+--R           + 
+--R                    2 10        2 8        2 6        2 4       2 2  2
+--R             (- 432a b   + 2688a b  - 4560a b  + 1920a b  - 256a b )c
+--R           + 
+--R                    12         10          8          6       14      12
+--R             (108a b   - 840a b   + 1920a b  - 1152a b )c - 9b   + 84b
+--R           + 
+--R                   10       8
+--R             - 240b   + 192b
+--R        /
+--R              11 3      10 2 2      9 4     8 6
+--R           64a  c  - 48a  b c  + 12a b c - a b
+--R      *
+--R         ?
+--R     + 
+--R                 3 9       3 7       3 5       3 3  3
+--R           (- 64a b  + 384a b  - 576a b  + 256a b )c
+--R         + 
+--R               2 11       2 9       2 7       2 5       2 3  2
+--R           (48a b   - 384a b  + 912a b  - 640a b  + 256a b )c
+--R         + 
+--R                   13         11         9         7      15      13      11
+--R           (- 12a b   + 120a b   - 384a b  + 384a b )c + b   - 12b   + 48b
+--R         + 
+--R                9
+--R           - 64b
+--R      /
+--R            12 3      11 2 2      10 4     9 6
+--R         64a  c  - 48a  b c  + 12a  b c - a b
+--R     , trying square-free.
+--R   WARNING (genufact): No known algorithm to factor
+--R        9   9b - 18a  8
+--R       ?  + -------- ?
+--R                a
+--R     + 
+--R                    2       2        3              4         3
+--R             (144a b  - 576a b + 576a  - 24a)c - 36b  + 144a b
+--R           + 
+--R                    2       2              2
+--R             (- 144a  + 12)b  - 24a b + 24a
+--R        /
+--R             3     2 2
+--R           4a c - a b
+--R      *
+--R          7
+--R         ?
+--R     + 
+--R                    3        2 2         3                 4       2        5
+--R             (336a b  - 2016a b  + (4032a  - 168a)b - 2688a  + 336a )c - 84b
+--R           + 
+--R                   4           2       3        3         2       2        3
+--R             504a b  + (- 1008a  + 84)b  + (672a  - 336a)b  + 504a b - 336a
+--R        /
+--R             4     3 2
+--R           4a c - a b
+--R      *
+--R          6
+--R         ?
+--R     + 
+--R                      2 4         3 3          4        2  2
+--R                 2016a b  - 16128a b  + (48384a  - 2016a )b
+--R               + 
+--R                          5        3           6        4       2
+--R                 (- 64512a  + 8064a )b + 32256a  - 8064a  + 144a
+--R            *
+--R                2
+--R               c
+--R           + 
+--R                          6        2 5            3          4
+--R                 - 1008a b  + 8064a b  + (- 24192a  + 1512a)b
+--R               + 
+--R                        4        2  3            5         3         2
+--R                 (32256a  - 8064a )b  + (- 16128a  + 16128a  - 192a)b
+--R               + 
+--R                          4       2          5       3
+--R                 (- 16128a  + 480a )b + 8064a  - 480a
+--R            *
+--R               c
+--R           + 
+--R                 8          7         2        6           3          5
+--R             126b  - 1008a b  + (3024a  - 252)b  + (- 4032a  + 1512a)b
+--R           + 
+--R                   4        2       4         3         3           4       2  2
+--R             (2016a  - 3528a  + 48)b  + (4032a  - 192a)b  + (- 2016a  + 336a )b
+--R           + 
+--R                   3        4
+--R             - 288a b + 144a
+--R        /
+--R              6 2     5 2     4 4
+--R           16a c  - 8a b c + a b
+--R      *
+--R          5
+--R         ?
+--R     + 
+--R                      2 5         3 4          4        2  3
+--R                 2016a b  - 20160a b  + (80640a  - 3360a )b
+--R               + 
+--R                           5         3  2           6         4       2
+--R                 (- 161280a  + 20160a )b  + (161280a  - 40320a  + 720a )b
+--R               + 
+--R                         7         5        3
+--R                 - 64512a  + 26880a  - 1440a
+--R            *
+--R                2
+--R               c
+--R           + 
+--R                          7         2 6            3          5
+--R                 - 1008a b  + 10080a b  + (- 40320a  + 2520a)b
+--R               + 
+--R                        4         2  4            5         3         3
+--R                 (80640a  - 18480a )b  + (- 80640a  + 53760a  - 960a)b
+--R               + 
+--R                        6         4        2  2          5        3           6
+--R                 (32256a  - 80640a  + 4320a )b  + (67200a  - 7200a )b - 26880a
+--R               + 
+--R                      4
+--R                 4800a
+--R            *
+--R               c
+--R           + 
+--R                 9          8         2        7            3          6
+--R             126b  - 1260a b  + (5040a  - 420)b  + (- 10080a  + 3360a)b
+--R           + 
+--R                    4         2        5           5         3          4
+--R             (10080a  - 10920a  + 240)b  + (- 4032a  + 18480a  - 1440a)b
+--R           + 
+--R                      4        2  3         5        3  2        4         5
+--R             (- 16800a  + 3600a )b  + (6720a  - 4800a )b  + 3600a b - 1440a
+--R        /
+--R              7 2     6 2     5 4
+--R           16a c  - 8a b c + a b
+--R      *
+--R          4
+--R         ?
+--R     + 
+--R                      3 6         4 5           5         3  4
+--R                 5376a b  - 64512a b  + (322560a  - 13440a )b
+--R               + 
+--R                           6          4  3            7          5        3  2
+--R                 (- 860160a  + 107520a )b  + (1290240a  - 322560a  + 5760a )b
+--R               + 
+--R                            8          6         4            9          7
+--R                 (- 1032192a  + 430080a  - 23040a )b + 344064a  - 215040a
+--R               + 
+--R                       5       3
+--R                 23040a  - 256a
+--R            *
+--R                3
+--R               c
+--R           + 
+--R                        2 8         3 7             4         2  6
+--R                 - 4032a b  + 48384a b  + (- 241920a  + 13440a )b
+--R               + 
+--R                         5          3  5             6          4        2  4
+--R                 (645120a  - 120960a )b  + (- 967680a  + 443520a  - 9120a )b
+--R               + 
+--R                         7          5         3  3
+--R                 (774144a  - 860160a  + 55680a )b
+--R               + 
+--R                           8          6          4       2  2
+--R                 (- 258048a  + 967680a  - 132480a  + 640a )b
+--R               + 
+--R                         7          5        3            8         6        4
+--R               (- 645120a  + 153600a  - 1792a )b + 215040a  - 76800a  + 1792a
+--R            *
+--R                2
+--R               c
+--R           + 
+--R                        10         2 9          3          8
+--R                 1008a b   - 12096a b  + (60480a  - 4200a)b
+--R               + 
+--R                           4         2  7           5          3          6
+--R                 (- 161280a  + 40320a )b  + (241920a  - 161280a  + 3840a)b
+--R               + 
+--R                           6          4         2  5
+--R                 (- 193536a  + 349440a  - 27840a )b
+--R               + 
+--R                        7          5         3         4
+--R                 (64512a  - 443520a  + 83520a  - 384a)b
+--R               + 
+--R                         6          4        2  3
+--R                 (322560a  - 134400a  + 1792a )b
+--R               + 
+--R                           7          5        3  2            6        4
+--R                 (- 107520a  + 124800a  - 3584a )b  + (- 69120a  + 3584a )b
+--R               + 
+--R                       7        5
+--R                 23040a  - 1792a
+--R            *
+--R               c
+--R           + 
+--R                  12          11           2        10          3          9
+--R             - 84b   + 1008a b   + (- 5040a  + 420)b   + (13440a  - 4200a)b
+--R           + 
+--R                      4         2        8          5         3          7
+--R             (- 20160a  + 17640a  - 480)b  + (16128a  - 40320a  + 3840a)b
+--R           + 
+--R                     6         4         2       6
+--R             (- 5376a  + 53760a  - 12960a  + 64)b
+--R           + 
+--R                      5         3         5          6         4        2  4
+--R             (- 40320a  + 24000a  - 384a)b  + (13440a  - 26400a  + 1024a )b
+--R           + 
+--R                    5        3  3           6        4  2       5        6
+--R             (17280a  - 1536a )b  + (- 5760a  + 1408a )b  - 768a b + 256a
+--R        /
+--R              9 3      8 2 2      7 4     6 6
+--R           64a c  - 48a b c  + 12a b c - a b
+--R      *
+--R          3
+--R         ?
+--R     + 
+--R                      3 7         4 6           5        3  5
+--R                 2304a b  - 32256a b  + (193536a  - 8064a )b
+--R               + 
+--R                           6         4  4            7          5        3  3
+--R                 (- 645120a  + 80640a )b  + (1290240a  - 322560a  + 5760a )b
+--R               + 
+--R                            8          6         4  2
+--R                 (- 1548288a  + 645120a  - 34560a )b
+--R               + 
+--R                          9          7         5       3            10
+--R                 (1032192a  - 645120a  + 69120a  - 768a )b - 294912a
+--R               + 
+--R                        8         6        4
+--R                 258048a  - 46080a  + 1536a
+--R            *
+--R                3
+--R               c
+--R           + 
+--R                        2 9         3 8             4        2  7
+--R                 - 1728a b  + 24192a b  + (- 145152a  + 8064a )b
+--R               + 
+--R                         5         3  6             6          4        2  5
+--R                 (483840a  - 88704a )b  + (- 967680a  + 411264a  - 9120a )b
+--R               + 
+--R                          7           5         3  4
+--R                 (1161216a  - 1048320a  + 73920a )b
+--R               + 
+--R                           8           6          4        2  3
+--R                 (- 774144a  + 1612800a  - 243840a  + 1920a )b
+--R               + 
+--R                         9           7          5        3  2
+--R                 (221184a  - 1548288a  + 418560a  - 9216a )b
+--R               + 
+--R                       8          6         4            9          7         5
+--R               (903168a  - 384000a  + 16128a )b - 258048a  + 153600a  - 10752a
+--R            *
+--R                2
+--R               c
+--R           + 
+--R                       11        2 10          3          9
+--R                 432a b   - 6048a b   + (36288a  - 2520a)b
+--R               + 
+--R                           4         2  8           5          3          7
+--R                 (- 120960a  + 29232a )b  + (241920a  - 145152a  + 3840a)b
+--R               + 
+--R                           6          4         2  6
+--R                 (- 290304a  + 403200a  - 35520a )b
+--R               + 
+--R                         7          5          3          5
+--R                 (193536a  - 685440a  + 139200a  - 1152a)b
+--R               + 
+--R                          8          6          4        2  4
+--R                 (- 55296a  + 725760a  - 301440a  + 7680a )b
+--R               + 
+--R                           7          5         3  3
+--R                 (- 451584a  + 393600a  - 21504a )b
+--R               + 
+--R                         8          6         4  2           7         5
+--R                 (129024a  - 318720a  + 32256a )b  + (161280a  - 26880a )b
+--R               + 
+--R                         8         6
+--R                 - 46080a  + 10752a
+--R            *
+--R               c
+--R           + 
+--R                  13         12           2        11          3          10
+--R             - 36b   + 504a b   + (- 3024a  + 252)b   + (10080a  - 3024a)b
+--R           + 
+--R                      4         2        9          5         3          8
+--R             (- 20160a  + 15624a  - 480)b  + (24192a  - 45360a  + 4800a)b
+--R           + 
+--R                      6         4         2        7
+--R             (- 16128a  + 80640a  - 20640a  + 192)b
+--R           + 
+--R                   7         5         3          6
+--R             (4608a  - 88704a  + 49920a  - 1536a)b
+--R           + 
+--R                    6         4        2  5            7         5         3  4
+--R             (56448a  - 74400a  + 5376a )b  + (- 16128a  + 70080a  - 10752a )b
+--R           + 
+--R                      6         4  3          7         5  2        6         7
+--R             (- 40320a  + 13440a )b  + (11520a  - 10752a )b  + 5376a b - 1536a
+--R        /
+--R              10 3      9 2 2      8 4     7 6
+--R           64a  c  - 48a b c  + 12a b c - a b
+--R      *
+--R          2
+--R         ?
+--R     + 
+--R                     3 8        4 7          5        3  6
+--R                 576a b  - 9216a b  + (64512a  - 2688a )b
+--R               + 
+--R                           6         4  5           7          5        3  4
+--R                 (- 258048a  + 32256a )b  + (645120a  - 161280a  + 2880a )b
+--R               + 
+--R                            8          6         4  3
+--R                 (- 1032192a  + 430080a  - 23040a )b
+--R               + 
+--R                          9          7         5       3  2
+--R                 (1032192a  - 645120a  + 69120a  - 768a )b
+--R               + 
+--R                           10          8         6        4            11
+--R                 (- 589824a   + 516096a  - 92160a  + 3072a )b + 147456a
+--R               + 
+--R                          9         7        5
+--R                 - 172032a  + 46080a  - 3072a
+--R            *
+--R                3
+--R               c
+--R           + 
+--R                       2 10        3 9            4        2  8
+--R                 - 432a b   + 6912a b  + (- 48384a  + 2688a )b
+--R               + 
+--R                         5         3  7             6          4        2  6
+--R                 (193536a  - 34944a )b  + (- 483840a  + 196224a  - 4560a )b
+--R               + 
+--R                         7          5         3  5
+--R                 (774144a  - 623616a  + 46080a )b
+--R               + 
+--R                           8           6          4        2  4
+--R                 (- 774144a  + 1236480a  - 195840a  + 1920a )b
+--R               + 
+--R                         9           7          5         3  3
+--R                 (442368a  - 1591296a  + 453120a  - 13056a )b
+--R               + 
+--R                           10           8          6         4       2  2
+--R                 (- 110592a   + 1333248a  - 610560a  + 34560a  - 256a )b
+--R               + 
+--R                           9          7         5        3            10
+--R                 (- 688128a  + 460800a  - 43008a  + 1024a )b + 172032a
+--R               + 
+--R                          8         6        4
+--R                 - 153600a  + 21504a  - 1024a
+--R            *
+--R                2
+--R               c
+--R           + 
+--R                       12        2 11          3         10
+--R                 108a b   - 1728a b   + (12096a  - 840a)b
+--R               + 
+--R                          4         2  9           5         3          8
+--R                 (- 48384a  + 11424a )b  + (120960a  - 67872a  + 1920a)b
+--R               + 
+--R                           6          4         2  7
+--R                 (- 193536a  + 231168a  - 21600a )b
+--R               + 
+--R                         7          5          3          6
+--R                 (193536a  - 497280a  + 105120a  - 1152a)b
+--R               + 
+--R                           8          6          4        2  5
+--R                 (- 110592a  + 698880a  - 289920a  + 9984a )b
+--R               + 
+--R                        9          7          5         3  4
+--R                 (27648a  - 634368a  + 498240a  - 36864a )b
+--R               + 
+--R                         8          6         4       2  3
+--R                 (344064a  - 552960a  + 75264a  + 512a )b
+--R               + 
+--R                          9          7         5        3  2
+--R                 (- 86016a  + 399360a  - 91392a  - 2560a )b
+--R               + 
+--R                           8         6        4           9         7        5
+--R                 (- 184320a  + 64512a  + 4096a )b + 46080a  - 21504a  - 2048a
+--R            *
+--R               c
+--R           + 
+--R                 14         13           2       12         3          11
+--R             - 9b   + 144a b   + (- 1008a  + 84)b   + (4032a  - 1176a)b
+--R           + 
+--R                      4        2        10          5         3          9
+--R             (- 10080a  + 7224a  - 240)b   + (16128a  - 25536a  + 2880a)b
+--R           + 
+--R                      6         4         2        8
+--R             (- 16128a  + 57120a  - 15120a  + 192)b
+--R           + 
+--R                   7         5         3          7
+--R             (9216a  - 83328a  + 45600a  - 1920a)b
+--R           + 
+--R                     8         6         4        2  6
+--R             (- 2304a  + 77952a  - 87120a  + 8448a )b
+--R           + 
+--R                      7          5         3  5
+--R             (- 43008a  + 109440a  - 21504a )b
+--R           + 
+--R                    8         6         4       2  4
+--R             (10752a  - 90240a  + 34944a  - 256a )b
+--R           + 
+--R                    7         5        3  3            8         6        4  2
+--R             (46080a  - 37632a  + 1536a )b  + (- 11520a  + 26880a  - 3328a )b
+--R           + 
+--R                      7        5          8        6
+--R             (- 12288a  + 3072a )b + 3072a  - 1024a
+--R        /
+--R              11 3      10 2 2      9 4     8 6
+--R           64a  c  - 48a  b c  + 12a b c - a b
+--R      *
+--R         ?
+--R     + 
+--R                  3 9        4 8         5       3  7            6        4  6
+--R               64a b  - 1152a b  + (9216a  - 384a )b  + (- 43008a  + 5376a )b
+--R             + 
+--R                       7         5       3  5
+--R               (129024a  - 32256a  + 576a )b
+--R             + 
+--R                         8          6        4  4
+--R               (- 258048a  + 107520a  - 5760a )b
+--R             + 
+--R                       9          7         5       3  3
+--R               (344064a  - 215040a  + 23040a  - 256a )b
+--R             + 
+--R                         10          8         6        4  2
+--R               (- 294912a   + 258048a  - 46080a  + 1536a )b
+--R             + 
+--R                       11          9         7        5           12         10
+--R               (147456a   - 172032a  + 46080a  - 3072a )b - 32768a   + 49152a
+--R             + 
+--R                       8        6
+--R               - 18432a  + 2048a
+--R          *
+--R              3
+--R             c
+--R         + 
+--R                    2 11       3 10           4       2  9
+--R               - 48a b   + 864a b   + (- 6912a  + 384a )b
+--R             + 
+--R                      5        3  8            6         4       2  7
+--R               (32256a  - 5760a )b  + (- 96768a  + 38016a  - 912a )b
+--R             + 
+--R                       7          5         3  6
+--R               (193536a  - 145152a  + 11040a )b
+--R             + 
+--R                         8          6         4       2  5
+--R               (- 258048a  + 354816a  - 57600a  + 640a )b
+--R             + 
+--R                       9          7          5        3  4
+--R               (221184a  - 580608a  + 168960a  - 5632a )b
+--R             + 
+--R                         10          8          6         4       2  3
+--R               (- 110592a   + 645120a  - 303360a  + 20224a  - 256a )b
+--R             + 
+--R                      11          9          7         5        3  2
+--R               (24576a   - 479232a  + 336384a  - 37376a  + 1536a )b
+--R             + 
+--R                       10          8         6        4           11         9
+--R               (221184a   - 215040a  + 35840a  - 3072a )b - 49152a   + 61440a
+--R             + 
+--R                       7        5
+--R               - 14336a  + 2048a
+--R          *
+--R              2
+--R             c
+--R         + 
+--R                    13       2 12         3         11           4        2  10
+--R               12a b   - 216a b   + (1728a  - 120a)b   + (- 8064a  + 1872a )b
+--R             + 
+--R                      5         3         9            6         4        2  8
+--R               (24192a  - 12960a  + 384a)b  + (- 48384a  + 52416a  - 5088a )b
+--R             + 
+--R                      7          5         3         7
+--R               (64512a  - 137088a  + 29664a  - 384a)b
+--R             + 
+--R                        8          6          4        2  6
+--R               (- 55296a  + 241920a  - 100032a  + 4096a )b
+--R             + 
+--R                      9          7          5         3  5
+--R               (27648a  - 290304a  + 215616a  - 18944a )b
+--R             + 
+--R                       10          8          6         4       2  4
+--R               (- 6144a   + 230400a  - 309888a  + 49664a  + 512a )b
+--R             + 
+--R                         9          7         5        3  3
+--R               (- 110592a  + 301056a  - 80640a  - 3584a )b
+--R             + 
+--R                      10          8         6        4  2
+--R               (24576a   - 196608a  + 82432a  + 9216a )b
+--R             + 
+--R                      9         7         5           10         8        6
+--R               (82944a  - 50176a  - 10240a )b - 18432a   + 14336a  + 4096a
+--R          *
+--R             c
+--R         + 
+--R              15        14          2       13        3         12
+--R           - b   + 18a b   + (- 144a  + 12)b   + (672a  - 192a)b
+--R         + 
+--R                   4        2       11         5        3         10
+--R           (- 2016a  + 1368a  - 48)b   + (4032a  - 5712a  + 672a)b
+--R         + 
+--R                   6         4        2       9
+--R           (- 5376a  + 15456a  - 4176a  + 64)b
+--R         + 
+--R                 7         5         3         8
+--R           (4608a  - 28224a  + 15168a  - 768a)b
+--R         + 
+--R                   8         6         4        2  7
+--R           (- 2304a  + 34944a  - 35664a  + 4096a )b
+--R         + 
+--R                9         7         5         3  6
+--R           (512a  - 28416a  + 56736a  - 12800a )b
+--R         + 
+--R                  8         6         4       2  5
+--R           (13824a  - 61824a  + 25984a  - 256a )b
+--R         + 
+--R                   9         7         5        3  4
+--R           (- 3072a  + 45312a  - 35840a  + 2048a )b
+--R         + 
+--R                    8         6        4  3         9         7        5  2
+--R           (- 20736a  + 34048a  - 6400a )b  + (4608a  - 22016a  + 9728a )b
+--R         + 
+--R                 8        6          9        7
+--R           (9216a  - 7168a )b - 2048a  + 2048a
+--R      /
+--R            12 3      11 2 2      10 4     9 6
+--R         64a  c  - 48a  b c  + 12a  b c - a b
+--R     , trying square-free.
+--R
+--R   (85)
+--R     - y(x) + x
+--R  /
+--R       (2y(x) + 2x)
+--R    *
+--R         %e
+--R      **
+--R             2
+--R          *
+--R             log
+--R                                                 +-----------+
+--R                       2 2                    2  |          2       2        2
+--R                    (2a x  + 2a b x - 2a c + b )\|- 4a c + b   + (8a c - 2a b )x
+--R                  + 
+--R                              3
+--R                    4a b c - b
+--R               /
+--R                     2
+--R                  a x  + b x + c
+--R        /
+--R            +-----------+
+--R            |          2
+--R           \|- 4a c + b
+--R                                          Type: Union(Expression Integer,...)
+--E 85
+
+--S 86 of 139
+ode180expr := (a*x**2+b*x+c)*(x*D(yx,x)-yx) - yx**2 + x**2
+--R 
+--R
+--R   (86)
+--R            2    2     3         4
+--R         (4x y(x)  + 8x y(x) + 4x )
+--R      *
+--R             %e
+--R          **
+--R                 2
+--R              *
+--R                 log
+--R                                                     +-----------+
+--R                           2 2                    2  |          2
+--R                        (2a x  + 2a b x - 2a c + b )\|- 4a c + b
+--R                      + 
+--R                           2        2               3
+--R                        (8a c - 2a b )x + 4a b c - b
+--R                   /
+--R                         2
+--R                      a x  + b x + c
+--R            /
+--R                +-----------+
+--R                |          2
+--R               \|- 4a c + b
+--R        **
+--R           2
+--R     + 
+--R                  4       3       2  ,           2                      2
+--R           (- 4a x  - 4b x  - 4c x )y (x) + (2a x  + (2b + 4)x + 2c)y(x)
+--R
+--R         + 
+--R                3       2                   4              3       2
+--R           (4a x  + 4b x  + 4c x)y(x) - 2a x  + (- 2b - 4)x  - 2c x
+--R      *
+--R           %e
+--R        **
+--R               2
+--R            *
+--R               log
+--R                                                   +-----------+
+--R                         2 2                    2  |          2
+--R                      (2a x  + 2a b x - 2a c + b )\|- 4a c + b
+--R                    + 
+--R                         2        2               3
+--R                      (8a c - 2a b )x + 4a b c - b
+--R                 /
+--R                       2
+--R                    a x  + b x + c
+--R          /
+--R              +-----------+
+--R              |          2
+--R             \|- 4a c + b
+--R     + 
+--R             2              2
+--R       - y(x)  + 2x y(x) - x
+--R  /
+--R             2               2
+--R       (4y(x)  + 8x y(x) + 4x )
+--R    *
+--R           %e
+--R        **
+--R               2
+--R            *
+--R               log
+--R                                                   +-----------+
+--R                         2 2                    2  |          2
+--R                      (2a x  + 2a b x - 2a c + b )\|- 4a c + b
+--R                    + 
+--R                         2        2               3
+--R                      (8a c - 2a b )x + 4a b c - b
+--R                 /
+--R                       2
+--R                    a x  + b x + c
+--R          /
+--R              +-----------+
+--R              |          2
+--R             \|- 4a c + b
+--R      **
+--R         2
+--R                                                     Type: Expression Integer
+--E 86
+
+--S 87 of 139
+ode181 := x**4*(D(y(x),x)+y(x)**2) + a
+--R 
+--R
+--R          4 ,       4    2
+--R   (87)  x y (x) + x y(x)  + a
+--R
+--R                                                     Type: Expression Integer
+--E 87
+
+--S 88 of 139
+yx:=solve(ode181,y,x)
+--R 
+--R                                                     2
+--R   WARNING (genufact): No known algorithm to factor ?  + a, trying square-free.
+--R
+--R                   +---+    2
+--R                  \|- a  - x y(x) + x
+--R   (88)  ------------------------------------
+--R                                        +---+
+--R                                      2\|- a
+--R                                      -------
+--R             2           +---+           x
+--R         ((2x y(x) - 2x)\|- a  - 2a)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 88
+
+--S 89 of 139
+ode181expr := x**4*(D(yx,x)+yx**2) + a
+--R 
+--R
+--R   (89)
+--R                  +---+
+--R                2\|- a
+--R                -------
+--R             6     x    ,
+--R       - 4a x %e       y (x)
+--R
+--R     + 
+--R             2 2         2   +---+     2 4    2     2 3         2 2     3
+--R         ((8a x y(x) - 8a x)\|- a  + 4a x y(x)  - 8a x y(x) + 4a x  - 4a )
+--R      *
+--R              +---+ 2
+--R            2\|- a
+--R            -------
+--R               x
+--R         (%e       )
+--R     + 
+--R                                 +---+
+--R                               2\|- a
+--R                               -------
+--R              6    2     2 2      x         6         5  +---+    8    2
+--R       (- 4a x y(x)  - 4a x )%e        + (2x y(x) - 2x )\|- a  - x y(x)
+--R     + 
+--R         7        6      4
+--R       2x y(x) - x  + a x
+--R  /
+--R             2             +---+       4    2       3           2     2
+--R       ((8a x y(x) - 8a x)\|- a  + 4a x y(x)  - 8a x y(x) + 4a x  - 4a )
+--R    *
+--R            +---+ 2
+--R          2\|- a
+--R          -------
+--R             x
+--R       (%e       )
+--R                                                     Type: Expression Integer
+--E 89
+
+--S 90 of 139
+ode182 := x*(x**3-1)*D(y(x),x) - 2*x*y(x)**2 + y(x) + x**2
+--R 
+--R
+--R           4      ,             2           2
+--R   (90)  (x  - x)y (x) - 2x y(x)  + y(x) + x
+--R
+--R                                                     Type: Expression Integer
+--E 90
+@
+
+This never completes
+\begin{verbatim}
+ ode182a:=solve(ode182,y,x)
+\end{verbatim}
+<<*>>=
+
+--S 91 of 139
+ode183 := (2*x**4-x)*D(y(x),x) - 2*(x**3-1)*y(x)
+--R 
+--R
+--R            4      ,           3
+--R   (91)  (2x  - x)y (x) + (- 2x  + 2)y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 91
+
+--S 92 of 139
+ode183a:=solve(ode183,y,x)
+--R 
+--R
+--R                                     2
+--R                                    x
+--R   (92)  [particular= 0,basis= [----------]]
+--R                                 +-------+
+--R                                3|  3
+--R                                \|2x  - 1
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 92
+
+--S 93 of 139
+yx:=ode183a.particular
+--R 
+--R
+--R   (93)  0
+--R                                                     Type: Expression Integer
+--E 93
+
+--S 94 of 139
+ode183expr := (2*x**4-x)*D(yx,x) - 2*(x**3-1)*yx
+--R 
+--R
+--R   (94)  0
+--R                                                     Type: Expression Integer
+--E 94
+
+--S 95 of 139
+ode184 := (a*x**2+b*x+c)**2*(D(y(x),x)+y(x)**2) + A
+--R 
+--R
+--R   (95)
+--R       2 4         3            2  2             2  ,
+--R     (a x  + 2a b x  + (2a c + b )x  + 2b c x + c )y (x)
+--R
+--R   + 
+--R       2 4         3            2  2             2     2
+--R     (a x  + 2a b x  + (2a c + b )x  + 2b c x + c )y(x)  + A
+--R                                                     Type: Expression Integer
+--E 95
+
+@
+This never completes
+\begin{verbatim}
+ ode184a:=solve(ode184,y,x)
+\end{verbatim}
+<<*>>=
+
+--S 96 of 139
+ode185 := x**7*D(y(x),x) + 2*(x**2+1)*y(x)**3 + 5*x**3*y(x)**2
+--R 
+--R
+--R          7 ,         2         3     3    2
+--R   (96)  x y (x) + (2x  + 2)y(x)  + 5x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 96
+
+--S 97 of 139
+ode185a:=solve(ode185,y,x)
+--R 
+--R
+--R   (97)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 97
+
+--S 98 of 139
+ode186 := x**n*D(y(x),x) + y(x)**2 -(n-1)*x**(n-1)*y(x) + x**(2*n-2)
+--R 
+--R
+--R          n ,       2n - 2                 n - 1       2
+--R   (98)  x y (x) + x       + (- n + 1)y(x)x      + y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 98
+
+--S 99 of 139
+ode186a:=solve(ode186,y,x)
+--R 
+--R
+--R   (99)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 99
+
+--S 100 of 139
+ode187 := x**n*D(y(x),x) - a*y(x)**2 - b*x**(2*n-2)
+--R 
+--R
+--R           n ,         2n - 2         2
+--R   (100)  x y (x) - b x       - a y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 100
+
+--S 101 of 139
+ode187a:=solve(ode187,y,x)
+--R 
+--R
+--R   (101)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 101
+
+--S 102 of 139
+ode188 := x**(2*n+1)*D(y(x),x) - a*y(x)**3 - b*x**3*n
+--R 
+--R
+--R           2n + 1 ,            3        3
+--R   (102)  x      y (x) - a y(x)  - b n x
+--R
+--R                                                     Type: Expression Integer
+--E 102
+
+--S 103 of 139
+ode188a:=solve(ode188,y,x)
+--R 
+--R
+--R   (103)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 103
+
+--S 104 of 139
+ode189 := x**(m*(n-1)+n)*D(y(x),x) - a*y(x)**n - b*x**(n*(m+1))
+--R 
+--R
+--R           (m + 1)n - m ,            n      (m + 1)n
+--R   (104)  x            y (x) - a y(x)  - b x
+--R
+--R                                                     Type: Expression Integer
+--E 104
+
+--S 105 of 139
+ode189a:=solve(ode189,y,x)
+--R 
+--R
+--R   (105)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 105
+
+--S 106 of 139
+ode190 := sqrt(x**2-1)*D(y(x),x) - sqrt(y(x)**2-1)
+--R 
+--R
+--R           +------+         +---------+
+--R           | 2      ,       |    2
+--R   (106)  \|x  - 1 y (x) - \|y(x)  - 1
+--R
+--R                                                     Type: Expression Integer
+--E 106
+
+--S 107 of 139
+ode190a:=solve(ode190,y,x)
+--R 
+--R
+--R   (107)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 107
+
+--S 108 of 139
+ode191 := sqrt(1-x**2)*D(y(x),x) - y(x)*sqrt(y(x)**2-1)
+--R 
+--R
+--R           +--------+             +---------+
+--R           |   2      ,           |    2
+--R   (108)  \|- x  + 1 y (x) - y(x)\|y(x)  - 1
+--R
+--R                                                     Type: Expression Integer
+--E 108
+
+--S 109 of 139
+ode191a:=solve(ode191,y,x)
+--R 
+--R
+--R   (109)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 109
+
+--S 110 of 139
+ode192 := sqrt(x**2+a**2)*D(y(x),x) + y(x) - sqrt(x**2+a**2) + x
+--R 
+--R
+--R           +-------+         +-------+
+--R           | 2    2  ,       | 2    2
+--R   (110)  \|x  + a  y (x) - \|x  + a   + y(x) + x
+--R
+--R                                                     Type: Expression Integer
+--E 110
+
+--S 111 of 139
+ode192a:=solve(ode192,y,x)
+--R 
+--R
+--R   (111)
+--R                    +-------+          +-------+               +-------+
+--R                    | 2    2           | 2    2                | 2    2
+--R   [particular= (- \|x  + a   + x)log(\|x  + a   - x),basis= [\|x  + a   - x]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 111
+
+--S 112 of 139
+yx:=ode192a.particular
+--R 
+--R
+--R              +-------+          +-------+
+--R              | 2    2           | 2    2
+--R   (112)  (- \|x  + a   + x)log(\|x  + a   - x)
+--R                                                     Type: Expression Integer
+--E 112
+
+--S 113 of 139
+ode192expr := sqrt(x**2+a**2)*D(yx,x) + yx - sqrt(x**2+a**2) + x
+--R 
+--R
+--R   (113)  0
+--R                                                     Type: Expression Integer
+--E 113
+
+--S 114 of 139
+ode193 := x*D(y(x),x)*log(x) + y(x) - a*x*(log(x)+1)
+--R 
+--R
+--R                   ,
+--R   (114)  x log(x)y (x) - a x log(x) + y(x) - a x
+--R
+--R                                                     Type: Expression Integer
+--E 114
+
+--S 115 of 139
+ode193a:=solve(ode193,y,x)
+--R 
+--R
+--R                                      1
+--R   (115)  [particular= a x,basis= [------]]
+--R                                   log(x)
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 115
+
+--S 116 of 139
+yx:=ode193a.particular
+--R
+--R   (116)  a x
+--R                                                     Type: Expression Integer
+--E 116
+
+--S 117 of 139
+ode193expr := x*D(yx,x)*log(x) + yx - a*x*(log(x)+1)
+--R
+--R   (117)  0
+--R                                                     Type: Expression Integer
+--E 117
+
+--S 118 of 139
+ode194 := x*D(y(x),x)*log(x) - y(x)**2*log(x) - _
+            (2*log(x)**2+1)*y(x) - log(x)**3
+--R 
+--R
+--R                   ,            3              2       2
+--R   (118)  x log(x)y (x) - log(x)  - 2y(x)log(x)  - y(x) log(x) - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 118
+
+--S 119 of 139
+ode194a:=solve(ode194,y,x)
+--R 
+--R
+--R   (119)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 119
+
+--S 120 of 139
+ode195 := sin(x)*D(y(x),x) - y(x)**2*sin(x)**2 + (cos(x) - 3*sin(x))*y(x) + 4
+--R 
+--R
+--R                 ,          2      2
+--R   (120)  sin(x)y (x) - y(x) sin(x)  - 3y(x)sin(x) + y(x)cos(x) + 4
+--R
+--R                                                     Type: Expression Integer
+--E 120
+
+--S 121 of 139
+yx:=solve(ode195,y,x)
+--R 
+--R
+--R              - y(x)sin(x) + 1
+--R   (121)  ------------------------
+--R                 5x             5x
+--R          5y(x)%e  sin(x) + 20%e
+--R                                          Type: Union(Expression Integer,...)
+--E 121
+
+--S 122 of 139
+ode195expr:=sin(x)*D(yx,x) - yx**2*sin(x)**2 + (cos(x) - 3*sin(x))*yx + 4
+--R 
+--R
+--R   (122)
+--R             5x      2 ,          2      4          2  5x               3
+--R       - 25%e  sin(x) y (x) - y(x) sin(x)  + (40y(x) %e   + 2y(x))sin(x)
+--R
+--R     + 
+--R               2   5x 2           2                   5x           2
+--R       (100y(x) (%e  )  + (- 5y(x) cos(x) + 120y(x))%e   - 1)sin(x)
+--R     + 
+--R                  5x 2                           5x                 5x 2
+--R       (800y(x)(%e  )  + (- 40y(x)cos(x) - 160)%e  )sin(x) + 1600(%e  )
+--R     + 
+--R                 5x
+--R       20cos(x)%e
+--R  /
+--R           2   5x 2      2             5x 2               5x 2
+--R     25y(x) (%e  ) sin(x)  + 200y(x)(%e  ) sin(x) + 400(%e  )
+--R                                                     Type: Expression Integer
+--E 122
+
+--S 123 of 139
+ode196 := cos(x)*D(y(x),x) + y(x) + (1 + sin(x))*cos(x)
+--R 
+--R
+--R                 ,
+--R   (123)  cos(x)y (x) + cos(x)sin(x) + cos(x) + y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 123
+
+--S 124 of 139
+ode196a:=solve(ode196,y,x)
+--R 
+--R
+--R   (124)
+--R   [
+--R     particular =
+--R                                        sin(x) - cos(x) - 1
+--R           (- 4sin(x) + 4cos(x) + 4)log(-------------------)
+--R                                             cos(x) + 1
+--R         + 
+--R                                         2              2
+--R         (2sin(x) - 2cos(x) - 2)log(----------) - sin(x)  + (cos(x) + 1)sin(x)
+--R                                    cos(x) + 1
+--R      /
+--R         sin(x) + cos(x) + 1
+--R     ,
+--R            sin(x) - cos(x) - 1
+--R    basis= [-------------------]]
+--R            sin(x) + cos(x) + 1
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 124
+
+--S 125 of 139
+yx:=ode196a.particular
+--R 
+--R
+--R   (125)
+--R                                    sin(x) - cos(x) - 1
+--R       (- 4sin(x) + 4cos(x) + 4)log(-------------------)
+--R                                         cos(x) + 1
+--R     + 
+--R                                       2              2
+--R       (2sin(x) - 2cos(x) - 2)log(----------) - sin(x)  + (cos(x) + 1)sin(x)
+--R                                  cos(x) + 1
+--R  /
+--R     sin(x) + cos(x) + 1
+--R                                                     Type: Expression Integer
+--E 125
+
+--S 126 of 139
+ode196expr := cos(x)*D(yx,x) + yx + (1 + sin(x))*cos(x)
+--R 
+--R
+--R   (126)
+--R                     2                      2          4           3          2
+--R           (- 8cos(x)  - 12cos(x) - 4)sin(x)  - 8cos(x)  - 12cos(x)  + 4cos(x)
+--R         + 
+--R           12cos(x) + 4
+--R      *
+--R             sin(x) - cos(x) - 1
+--R         log(-------------------)
+--R                  cos(x) + 1
+--R     + 
+--R                   2                     2          4          3          2
+--R           (4cos(x)  + 6cos(x) + 2)sin(x)  + 4cos(x)  + 6cos(x)  - 2cos(x)
+--R         + 
+--R           - 6cos(x) - 2
+--R      *
+--R                  2
+--R         log(----------)
+--R             cos(x) + 1
+--R     + 
+--R                2                     3          3                2
+--R       (- cos(x)  - 4cos(x) - 1)sin(x)  + (cos(x)  - cos(x))sin(x)
+--R     + 
+--R                4          3                              5          3
+--R       (- cos(x)  - 4cos(x)  + 4cos(x) + 1)sin(x) + cos(x)  - 2cos(x)  + cos(x)
+--R  /
+--R                         2           2                              3          2
+--R       (cos(x) + 1)sin(x)  + (2cos(x)  + 4cos(x) + 2)sin(x) + cos(x)  + 3cos(x)
+--R     + 
+--R       3cos(x) + 1
+--R                                                     Type: Expression Integer
+--E 126
+
+--S 127 of 139
+ode197 := cos(x)*D(y(x),x) - y(x)**4 - y(x)*sin(x)
+--R 
+--R
+--R                 ,                       4
+--R   (127)  cos(x)y (x) - y(x)sin(x) - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 127
+
+--S 128 of 139
+yx:=solve(ode197,y,x)
+--R 
+--R
+--R                3      2       3
+--R          (2y(x) cos(x)  + y(x) )sin(x) + 1
+--R   (128)  ---------------------------------
+--R                         3      3
+--R                     y(x) cos(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 128
+
+--S 129 of 139
+ode197expr := cos(x)*D(yx,x) - yx**4 - yx*sin(x)
+--R 
+--R
+--R   (129)
+--R              8      10 ,
+--R       - 3y(x) cos(x)  y (x)
+--R
+--R     + 
+--R                   12      8         12      6         12      4
+--R           - 16y(x)  cos(x)  - 32y(x)  cos(x)  - 24y(x)  cos(x)
+--R         + 
+--R                  12      2       12
+--R           - 8y(x)  cos(x)  - y(x)
+--R      *
+--R               4
+--R         sin(x)
+--R     + 
+--R                9      6         9      4         9      2        9       3
+--R       (- 32y(x) cos(x)  - 48y(x) cos(x)  - 24y(x) cos(x)  - 4y(x) )sin(x)
+--R     + 
+--R             12      9         6      4         6      2        6       2
+--R       (2y(x)  cos(x)  - 24y(x) cos(x)  - 24y(x) cos(x)  - 6y(x) )sin(x)
+--R     + 
+--R             9      9        3      2        3               12      13
+--R       (2y(x) cos(x)  - 8y(x) cos(x)  - 4y(x) )sin(x) + 2y(x)  cos(x)
+--R     + 
+--R           12      11
+--R       y(x)  cos(x)   - 1
+--R  /
+--R         12      12
+--R     y(x)  cos(x)
+--R                                                     Type: Expression Integer
+--E 129
+
+--S 130 of 139
+ode198 := sin(x)*cos(x)*D(y(x),x) - y(x) - sin(x)**3
+--R 
+--R
+--R                       ,            3
+--R   (130)  cos(x)sin(x)y (x) - sin(x)  - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 130
+
+--S 131 of 139
+ode198a:=solve(ode198,y,x)
+--R 
+--R
+--R                                        sin(x)
+--R   (131)  [particular= - sin(x),basis= [------]]
+--R                                        cos(x)
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 131
+
+--S 132 of 139
+yx:=ode198a.particular
+--R 
+--R
+--R   (132)  - sin(x)
+--R                                                     Type: Expression Integer
+--E 132
+
+--S 133 of 139
+ode198expr := sin(x)*cos(x)*D(yx,x) - yx - sin(x)**3
+--R 
+--R
+--R                  3            2
+--R   (133)  - sin(x)  + (- cos(x)  + 1)sin(x)
+--R                                                     Type: Expression Integer
+--E 133
+
+--S 134 of 139
+ode199 := sin(2*x)*D(y(x),x) + sin(2*y(x))
+--R 
+--R
+--R                  ,
+--R   (134)  sin(2x)y (x) + sin(2y(x))
+--R
+--R                                                     Type: Expression Integer
+--E 134
+
+--S 135 of 139
+ode199a:=solve(ode199,y,x)
+--R 
+--R
+--R   (135)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 135
+
+--S 136 of 139
+ode200 := (a*sin(x)**2+b)*D(y(x),x) + a*y(x)*sin(2*x) + A*x*(a*sin(x)**2+c)
+--R 
+--R
+--R                   2      ,                                  2
+--R   (136)  (a sin(x)  + b)y (x) + a y(x)sin(2x) + A a x sin(x)  + A c x
+--R
+--R                                                     Type: Expression Integer
+--E 136
+
+--S 137 of 139
+ode200a:=solve(ode200,y,x)
+--R 
+--R
+--R   (137)
+--R                                                  2                2
+--R                - 2A a x cos(x)sin(x) - A a cos(x)  + (2A c + A a)x
+--R   [particular= ----------------------------------------------------,
+--R                                         2
+--R                                4a cos(x)  - 4b - 4a
+--R                    1
+--R    basis= [-----------------]]
+--R                    2
+--R            a cos(x)  - b - a
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 137
+
+--S 138 of 139
+yx:=ode200a.particular
+--R 
+--R
+--R                                            2                2
+--R          - 2A a x cos(x)sin(x) - A a cos(x)  + (2A c + A a)x
+--R   (138)  ----------------------------------------------------
+--R                                   2
+--R                          4a cos(x)  - 4b - 4a
+--R                                                     Type: Expression Integer
+--E 138
+
+--S 139 of 139
+ode200expr := (a*sin(x)**2+b)*D(yx,x) + a*yx*sin(2*x) + A*x*(a*sin(x)**2+c)
+--R 
+--R
+--R   (139)
+--R                  3        3        2        3                      3      4
+--R           (- 2A a x cos(x)  + (2A a b + 2A a )x cos(x))sin(x) - A a cos(x)
+--R         + 
+--R                 2       3  2      2       3       2
+--R           ((2A a c + A a )x  + A a b + A a )cos(x)
+--R         + 
+--R                            2        2       3  2
+--R           ((- 2A a b - 2A a )c - A a b - A a )x
+--R      *
+--R         sin(2x)
+--R     + 
+--R              3        2          2        3         4
+--R       (- 2A a x cos(x)  + (- 2A a b - 2A a )x)sin(x)
+--R     + 
+--R              3      3        2        3  2             3
+--R       (- 2A a cos(x)  + (4A a c + 2A a )x cos(x))sin(x)
+--R     + 
+--R               3        4        2        2        3         2
+--R           2A a x cos(x)  + (4A a c - 8A a b - 4A a )x cos(x)
+--R         + 
+--R                            2           2       2        3
+--R           ((- 4A a b - 4A a )c + 2A a b  + 4A a b + 2A a )x
+--R      *
+--R               2
+--R         sin(x)
+--R     + 
+--R              2        3                   2   2
+--R       (- 2A a b cos(x)  + (4A a b c + 2A a b)x cos(x))sin(x)
+--R     + 
+--R            2        2          4
+--R       (4A a c - 2A a b)x cos(x)
+--R     + 
+--R                        2           2       2          2
+--R       ((- 4A a b - 8A a )c + 2A a b  + 4A a b)x cos(x)
+--R     + 
+--R                      2           2       2
+--R       ((4A a b + 4A a )c - 2A a b  - 2A a b)x
+--R  /
+--R       2      4               2       2     2            2
+--R     4a cos(x)  + (- 8a b - 8a )cos(x)  + 4b  + 8a b + 4a
+--R                                                     Type: Expression Integer
+--E 139
+
+)spool
+)lisp (bye)
+ 
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} {\bf http://www.cs.uwaterloo.ca/$\tilde{}$ecterrab/odetools.html}
+\end{thebibliography}
+\end{document}
